

%--- package options ---
\colorlet{shadecolor}{gray!15}

\setlength{\columnsep}{-2cm}

\begin{figure}
\begin{columns}
    \begin{column}{0.4\textwidth}
        \begin{tikzpicture}
        \pgfdeclarelayer{bg}
        \pgfsetlayers{bg,main}
        \node at (-1,3) {$$};
        \foreach \i/\x/\y in {1/0/2,2/1/2,3/2/2,4/0/1,5/1/1,6/2/1,7/0/0,8/1/0,9/2/0}
            \node[vertex] (\i) at (\x,\y) {\i};
        \begin{pgfonlayer}{bg}
        \node [vertexset={black}{above left}{$S_1$},fit = (1) (8)] {};
        \node [vertexset={blue}{above right}{$S_2$},fit = (2) (6)] {};
        \node [vertexset={OliveGreen}{left}{$S_3$},fit = (4)(9)] {};
        \node [vertexset={red}{below right}{$S_4$},fit = (5) (9)] {};
        \end{pgfonlayer}
        \end{tikzpicture}
    \end{column}
    \begin{column}{0.6\textwidth}
        \begin{tikzpicture}[scale=0.8]
        %\node at (-4,5) {$I':$};
        \node[vertex,fill=red!50] (r) at (0,4) {$r$};
        \node[vertex,fill=red!50] (s1) at (-3,2) {$s_1$};
        \node[vertex,fill=red!50] (s2) at (-1,2) {$s_2$};
        \node[vertex,fill=red!50] (s3) at (1,2) {$s_3$};
        \node[vertex,fill=red!50] (s4) at (3,2) {$s_4$};
        \foreach \i in {1,2,3,4,5,6,7,8,9}
            \node[vertex] (\i) at (\i-5,0) {\i};
        %edges
        \draw (r)--(s1);
        \draw (r)--(s2);
        \draw (r)--(s3);
        \draw (r)--(s4);
        \foreach \i in {1,2,4,5,7,8}
            \draw (s1)--(\i);
        \foreach \i in {1,3,5,6}
            \draw (s2)--(\i);
        \foreach \i in {4,5,6,7,8,9}
            \draw (s3)--(\i);
        \foreach \i in {5,6,8,9}
            \draw (s4)--(\i);


        \node (t1) at (-3,3.5) {\textcolor{red!50}{$F$}};
        \node (t2) at (-3,-1) {\textcolor{black!70}{$V$}};
        \node (t3) at (3,3.5) {$d=1$};

        \end{tikzpicture}
    \end{column}
\end{columns}
\end{figure}

